Summary:	Controls the robotic mechanism in DDS Tape drive autoloaders
Name:		mtx
Version:	1.2.18
Release:	%mkrel 4
Group:		Archiving/Backup
License:	GPL
URL:		http://sourceforge.net/projects/mtx
Source0:	ftp://ftp.badtux.net/pub/storage/mtx/%{name}-%{version}rel.tar.bz2
Patch0:		mtx-1.2.18-portable.patch
Patch1:		mtx-1.2.18rel-dce.patch
Patch2:		mtx-1.2.18rel-gcc4.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
The MTX program controls the robotic mechanism in autoloaders and tape
libraries such as the HP SureStore DAT 40x6, Exabyte EZ-17, and
Exabyte 220. This program is also reported to work with a variety of
other tape libraries and autochangers from ADIC, Tandberg/Overland,
Breece Hill, HP, and Seagate.

If you have a backup tape device capable of handling more than one
tape at a time, you should install MTX.

%prep

%setup -q -n %{name}-%{version}rel
%patch0 -p1 -b .portable
%patch1 -p1 -b .dce
%patch2 -p1 -b .gcc4

%build

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_mandir}/man1

install mtx %{buildroot}/sbin/mtx
install tapeinfo %{buildroot}/sbin/tapeinfo
install mtx.1 %{buildroot}%{_mandir}/man1/mtx.1
install tapeinfo.1 %{buildroot}%{_mandir}/man1/tapeinfo.1

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES COMPATABILITY contrib FAQ LICENSE LICENSE.html
%doc mtx.doc mtxl.README.html README TODO
%{_mandir}/man1/*
/sbin/*

%changelog
* Tue Aug 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.18-4mdv2007.0
- sync with fedora (1.2.18-8.2.1)

* Fri Sep 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.18-3mdk
- annual rebuild

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.18-2mdk
- added P0 from fedora (makes it compile...)
- misc spec file fixes

* Wed Aug 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.18-1mdk
- 1.2.18

* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.17-1mdk
- 1.2.17

* Thu May 16 2002 Buchan Milne <bgmilne@cae.co.za> 1.2.16-2mdk
- Fix macros in changelog

* Thu May 16 2002 Buchan Milne <bgmilne@cae.co.za> 1.2.16-1mdk
- Mandrakisation
- uses %%configure now
- Make rpmlint happy
- 1.2.16

* Wed Feb 14 2001 Michael Stefaniuc <mstefani@redhat.com>
- 1.2.10
- updated %%doc

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 1.2.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- 1.2.7

* Tue May 23 2000 Preston Brown <pbrown@redhat.com> 
- adopted for Winston

* Fri May 12 2000 Kenneth Porter <shiva@well.com>
- 1.2.6
- Fixed 'eepos' stuff to use | rather than || (whoops!)
- Accept a 4-byte element descriptor for the robot arm for certain older
- autochangers. 

* Mon May 8 2000 Kenneth Porter <shiva@well.com>
- Spell sourceforge right so the link at rpmfind.net will work.

* Thu May 4 2000 Kenneth Porter <shiva@well.com>
- 1.2.5

* Thu Oct 29 1998  Ian Macdonald <ianmacd@xs4all.nl>
- moved mtx from /sbin to /bin, seeing as mt is also located there

* Fri Oct 23 1998  Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release
